using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Billboard : MonoBehaviour
{
    public Camera referenceCamera;

    void Awake()
    {
        if (!referenceCamera)
            referenceCamera = Camera.main;
    }

    void Update()
    {
        transform.LookAt(transform.position + referenceCamera.transform.rotation * Vector3.forward,
            referenceCamera.transform.rotation * Vector3.up);
    }
}
